Table of Contents

## Name

AuSetCloseDownMode - change the close down mode of a client

## Synopsis

#include <audio/audiolib.h>

void AuSetCloseDownMode(server, mode, status)
AuServer *server;
int mode;
AuStatus *status; /* RETURN */

## Arguments

server
  Specifies the connection to the audio server.
mode
  Specifies the client close-down mode. This must be one of these constants: AuCloseDownDestroy, AuCloseDownRetainPermanent, or AuCloseDownRetainTemporary.
status
  If non-NULL, flush the output buffer and return the status from the server.

## Description

AuSetCloseDownMode sets the close-down-mode for client to mode. The close-down-mode determines what happens to the resources created by client when the connection is closed or client is killed via AuKillClient.

## Errors

AuBadValue.

## See Also

AuCloseServer, AuGetCloseDownMode.

audiolib - Network Audio System C Language Interface

Table of Contents

- Name
- Synopsis
- Arguments
- Description
- Errors
- See Also